<ng-container *ngIf="access else loading_screen">

  <section class="content-header">
    <h1 class="page-head-line">SCHEDULES</h1>
  </section>
  <section class="content">
    <div class="container">
      <div class="row justify-content-center">

        <div class="col-md-9 p-md-0 pr-md-4">

          <div class="row">
            <div class="col-md-6 col-sm-8 mb-4">
              <input type='text' name="search" [(ngModel)]="search" (keyup)='updateFilter()' class="form-control form-control-sm mb-0"
                placeholder='Seach here' />
            </div>

          </div>

          <ngx-datatable class="material mb-4" [rows]="schedules" [loadingIndicator]="loading" [columnMode]="'force'" [headerHeight]="45"
            [footerHeight]="40" [rowHeight]="'auto'" [limit]="5">

            <ngx-datatable-column prop="school_year" name="School year"></ngx-datatable-column>
            <ngx-datatable-column prop="schedule_code" name="Schedule code"></ngx-datatable-column>
            <ngx-datatable-column prop="description" name="Description"></ngx-datatable-column>
            <ngx-datatable-column prop="section.year_level.level_name" name="Level"></ngx-datatable-column>
            <ngx-datatable-column prop="section.section_code" name="Section"></ngx-datatable-column>
            <ngx-datatable-column prop="section.section_name" name="Section name"></ngx-datatable-column>

            <ngx-datatable-column name="Action" [headerClass]="'text-center'" [cellClass]="'text-center'">
              <ng-template let-row="row" ngx-datatable-cell-template>
                <a *ngIf="access && (access.can_add || access.can_edit)" routerLink="/setup/schedules/{{row.id}}" class="btn btn-link mr-2">
                  <span title="View" class="fa fa-file"></span>
                </a>
                <button *ngIf="access && access.can_edit" type="button" class="btn btn-link mr-2" (click)="edit(row)">
                  <span title="Edit" class="fa fa-edit"></span>
                </button>
                <button *ngIf="access && access.can_delete" type="button" class="ml-auto btn btn-link btn-sm text-white mr-2" placement="top"
                  [ngbPopover]="popDeleteContent" [popoverTitle]="popDeleteTitle" container="body" #deletePop="ngbPopover">
                  <span class="fa fa-trash text-red"></span>
                </button>

                <ng-template #popDeleteTitle>
                  <small>
                    <b>
                      Confirm delete
                    </b>
                  </small>
                </ng-template>

                <ng-template #popDeleteContent>

                  <p>Are you sure you want to delete this subject?</p>
                  <p class="small">
                    <strong>Name:</strong> {{ row.schedule_code }}
                  </p>

                  <div class="d-flex my-2">
                    <div class="ml-auto">

                      <button type="button" class="btn btn-link px-2" (click)="delete(row.id)" data-toggle="tooltip" data-placement="bottom" title="Yes">
                        <span class="fa fa-check text-green"></span>
                      </button>
                      <button type="button" class="btn btn-link px-2" data-toggle="tooltip" data-placement="bottom" title="No">
                        <span class="fa fa-times text-red"></span>
                      </button>
                    </div>

                  </div>
                </ng-template>
              </ng-template>
            </ngx-datatable-column>
          </ngx-datatable>
        </div>


        <div class="col-md-3 p-md-0">
          <div class="card rounded-0 mb-4">
            <div class="card-header rounded-0 p-2-md p-2-lg bk-clr-three">
              <p class="font-weight-bold text-white m-0">Schedule info</p>
            </div>
            <div class="card-body">

              <form *ngIf="obj" #objForm=ngForm (ngSubmit)="save()" class="mb-0">
                <div class="form-group">
                  <input type="text" [(ngModel)]="obj.school_year" [disabled]="1" name="school_year" class=" bg-white form-control form-control-sm text-red font-weight-bold"
                    placeholder="School year" required>
                  <span class="text-danger" [hidden]="!error.school_year">{{ error.school_year }}</span>

                </div>
                <div class="form-group">
                  <input type="text" [(ngModel)]="obj.schedule_code" name="schedule_code" class="form-control form-control-sm" placeholder="Schedule code"
                    required>
                  <span class="text-danger" [hidden]="!error.schedule_code">{{ error.schedule_code }}</span>

                </div>
                <div class="form-group">
                  <textarea [(ngModel)]="obj.description" name="description" class="form-control form-control-sm" placeholder="Description"
                    rows="4" required></textarea>
                  <span class="text-danger" [hidden]="!error.description">{{ error.description }}</span>

                </div>
                <div class="form-group">
                  <select [(ngModel)]="obj.section_id" (change)="showSection()" name="section_id" class="form-control form-control-sm" placeholder="Select year">
                    <option [ngValue]="null">Select section</option>
                    <option *ngFor="let sec of sections" [ngValue]="sec.id">{{ sec.section_name }}</option>
                  </select>
                  <span class="text-danger" [hidden]="!error.section_id">{{ error.section_id }}</span>
                  <div class="alert rounded-0 mt-2 pl-0" *ngIf="obj.section_id && selected_section">
                    <i class="small">

                      <p class="mb-1"><strong>Section code: </strong>{{ selected_section.section_code }}</p>
                      <p class="mb-0"><strong>Level: </strong>{{ selected_section.year_level.level_name }}</p>
                    </i>
                  </div>
                </div>
                <div class="form-group float-right mt-2 mb-1">
                  <button type="submit" class="btn btn-primary btn-flat btn-sm">
                    <span class="fa fa-save"></span>
                    Save
                  </button>
                  <button type="button" (click)="cancel()" class="btn btn-danger btn-flat btn-sm">
                    <span class="fa fa-times"></span>
                    Cancel
                  </button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

</ng-container>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>